新闻联播老司机 # 广场 #

在Kubernetes 1.18中和之前的版本发生了变化

Deployment需要将原来的apiVersion:extensions/v1beta1 修改为apiVersion:apps/v1
同时deployment文件需要在spec下面添加selector

案例如下:
apiVersion: apps/v1 #需要修改的部分
kind: Deployment
metadata:
name: grafana
namespace: kube-system
labels:
app: grafana
spec:
selector: ##需要添加的部分
matchLabels:
app: grafana

    没有评论。你怎么看?
    0个人喜欢,你呢?
    欢迎您 {{commentUser.user_name}},您在本站有{{commentUser.comment_count}}条评论
    k8s分 享 面试宝典
    加入我们
    • 站长QQ:381493251一键联系
    • abcdocker 微信公众号
      abcdocker QQ群